<?php

declare(strict_types=1);

/**
 * webEdition CMS
 *
 * $Rev: 094ec8a4d3d2 $
 * $Author: Marc Kraemer <marc.kraemer@webedition.org> $
 * $Date: 2020-03-03 18:14 +0100 $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */
/*
 * In this file constants and variables determining the behaviour of the
 * Liveupdate are set
 */

// include files -> mainly stored in the application
define('LIVEUPDATE_LANGUAGE', we_base_WE::$Language);
define('LIVEUPDATE_LANGUAGE_ROOTDIR', WE_DOCUMENT_ROOT . '/webEdition/we/include/language/');
define('LIVEUPDATE_LANGUAGE_DIR', WE_DOCUMENT_ROOT . LIVEUPDATE_LANGUAGE_ROOTDIR . LIVEUPDATE_LANGUAGE . '/');

// include some files
define('LIVEUPDATE_CSS', '<link rel="stylesheet" type="text/css" href="/webEdition/liveUpdate/css/liveupdate.css" />');
define('LIVEUPDATE_TEMPLATE_DIR', WE_DOCUMENT_ROOT . '/webEdition/liveUpdate/templates/');

define('LIVEUPDATE_SERVER', 'update.webedition.org');
define('LIVEUPDATE_SERVER_SCRIPT', '/server/we/liveUpdate.p' . 'hp');

if(isset($_REQUEST['section'])){
	$_SESSION['liveUpdateSection'] = $_REQUEST['section'];
}

define('LIVEUPDATE_SOFTWARE_DIR', WE_DOCUMENT_ROOT);
define('LIVEUPDATE_CLIENT_DOCUMENT_DIR', WE_DOCUMENT_ROOT . '/webEdition/liveUpdate/');

// if the software uses a tblprefix - assign it here
define('LIVEUPDATE_TABLE_PREFIX', TBL_PREFIX);


if(is_callable('set_time_limit')){
	@set_time_limit(180);
}

//Beta-Switch default muss so drin bleiben
$_REQUEST['testUpdate'] = $_SESSION['weS']['testUpdate'] ?? false;

