<?php
declare(strict_types=1);

/**
 * webEdition CMS
 *
 * $Rev: 6917b9add631 $
 * $Author: Marc Kraemer <marc.kraemer@aldente-it.de> $
 * $Date: 2020-04-21 13:24 +0200 $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */
abstract class we_base_cmd implements we_interface_cmd{

	public static function we_cmd(string $cmd): bool{
		switch($cmd){
			case 'we_base_showTemp':
				$filename = realpath(WEBEDITION_PATH . we_base_request::_(we_base_request::FILE, 'file')) ?: '';
				$keepBin = we_base_request::bool('binary');
				we_base_showFile::showTempFile($filename, $keepBin);
				return true;
			case 'we_base_showBinaryDoc':
				we_document_binary::showBinaryDoc();
				return true;
			case 'we_base_showThumbnail':
				$imageId = we_base_request::int('id', 0);
				$thumbID = we_base_request::int('thumbID', 0);
				we_base_showFile::showThumbnail($imageId, $thumbID);
				return true;
		}
		return false;
	}

}
