<?php

declare(strict_types=1);

/**
 * webEdition CMS
 *
 * $Rev: 6bad49f12eb8 $
 * $Author: Lukas Imhof $
 * $Date: 2020-04-15 22:03 +0200 $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */
class we_editor_classFolderFields extends we_editor_base{

	public function show(): string{
		assert($this->we_doc instanceof we_folder_objectFile);

		// FIXME: actions will be moved to rpc (what makes this file obsolete!)
		switch(we_base_request::string('do')){
			case we_folder_base::ACTION_DELETE:
				$this->we_doc->deleteObjects($this->jsCmd);
				break;
			case we_folder_base::ACTION_UNPUBLISH:
				$this->we_doc->publishObjects($this->jsCmd, false);
				break;
			case we_folder_base::ACTION_PUBLISH:
				$this->we_doc->publishObjects($this->jsCmd);
				break;
			case we_folder_base::ACTION_CATEGORY_ADD:
				$this->we_doc->changeCats(true);
				break;
			case we_folder_base::ACTION_CATEGORY_DELETE:
				$this->we_doc->changeCats(false);
				break;
			case we_folder_base::ACTION_UNSEARCHABLE:
				$this->we_doc->setObjectProperty('IsSearchable', false);
				break;
			case we_folder_base::ACTION_SEARCHABLE:
				$this->we_doc->setObjectProperty('IsSearchable', true);
				break;
			case we_folder_base::ACTION_COPY_WS:
				$this->we_doc->setObjectProperty('Workspaces');
				break;
			case we_folder_base::ACTION_COPY_TID:
				$this->we_doc->setObjectProperty('TriggerID');
				break;
		}

		$doclistView = new we_doclist_view($this->we_doc->getDoclistModel(), we_doclist_view::DOCLIST_OBJECTFILES);

		return $this->getPage($doclistView->getHtmlEditor(), $doclistView->getSearchJS(), [
				'onkeypress' => "javascript:if (event.key === 'Enter'){search(true);}",
				'onload' => "setTimeout(weSearch.init, 200)",
				'onresize' => "weSearch.sizeScrollContent();"
			]
		);
	}

}
