<?php
declare(strict_types=1);

/**
 * webEdition CMS
 *
 * $Rev: c926468d16cd $
 * $Author: Marc Kraemer <marc.kraemer@aldente-it.de> $
 * $Date: 2020-06-15 22:21 +0200 $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */
//	send charset, if one is set:
class we_editor_variants extends we_editor_base{
	/**
	 * @var we_contents_objectFile|we_document_webEdition|we_contents_template
	 */
	protected $we_doc = null;

	public function show(): string{
		if($this->we_doc->EditPageNr == we_base_constants::WE_EDITPAGE_PROPERTIES){
			we_html_tools::headerCtCharset('text/html');
		}

		switch($this->we_doc->ContentType){
			case we_base_ContentTypes::WEDOCUMENT:
			case we_base_ContentTypes::OBJECT_FILE:
				$inner = we_base_variants::edit($this->getJsCmd(), we_base_request::string('we_cmd', '', 0), $this->we_doc);
				break;

			case we_base_ContentTypes::TEMPLATE:
				assert($this->we_doc instanceof we_contents_template);
				$inner = we_base_variants::getTemplateCode($this->we_doc);
				break;
			default:
				$inner = 'Content-Type ' . $this->we_doc->ContentType . ' not available (' . __FILE__ . ')';
				break;
		}
		return $this->getPage($inner);
	}

}
