<?php

declare(strict_types=1);

/**
 * webEdition CMS
 *
 * $Rev: 04d998f03fa3 $
 * $Author: Marc Kraemer <marc.kraemer@webedition.org> $
 * $Date: 2020-02-07 18:55 +0100 $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */

/**
 * class
 * @desc    class for tag <we:listview>
 *
 */
class we_listview_collectionItems extends we_listview_document{

	public function __construct(string $name, int $rows, int $offset, string $order, bool $desc, string $docType, array $cats, bool $catOr, bool $casesensitive, array $workspaceID, string $contentTypes, int $cols, bool $searchable, string $condition, string $calendar, string $datefield, string $date, string $weekstart, array $categoryids, string $customerFilterType, bool $subfolders, array $customers, array $id, array $languages, bool $numorder, bool $hidedirindex, int $triggerID){
		$myid = $id[0];
		$this->joins = [' JOIN ' . FILELINK_TABLE . ' fl ON (f.ID=fl.remObj AND fl.ID=' . $myid . ' AND fl.DocumentTable="tblVFile" AND fl.type="collection")'];
		$this->table = VFILE_TABLE;
		$this->group = 'fl.' . ((fB('SELECT IsDuplicates FROM ' . VFILE_TABLE . ' WHERE ID=' . $myid)) ? 'position' : 'ID');
		parent::__construct($name, $rows, $offset, $order ?: 'VFILE', $desc, $docType, $cats, $catOr, $casesensitive, $workspaceID, $contentTypes, $cols, false, $condition, $calendar, $datefield, $date, $weekstart, $categoryids, $customerFilterType, $subfolders, $customers, $id, $languages, $numorder, $hidedirindex, $triggerID);
	}

}
