<?php
declare(strict_types=1);

/* webEdition CMS
 *
 * $Rev: f389fd111aab $
 * $Author: Marc Kraemer <marc.kraemer@aldente-it.de> $
 * $Date: 2020-02-17 01:17 +0100 $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */

abstract class we_tag_hidden extends we_weTag_tag{

	public static function tag(array $attribs = [], string $content = '', bool $internal = false): string{

		if(($foo = self::attributeMissing($attribs, ['name' => false], __CLASS__))){
			return $foo;
		}

		$name = self::getAttribute('name', $attribs, '', we_base_request::STRING);
		$varType = self::getAttribute('varType', $attribs, we_base_request::STRING, we_base_request::STRING);

		switch(self::getAttribute('type', $attribs, '', we_base_request::STRING)){
			case 'session':
				$value = self::getArrayValue($_SESSION, null, $name);
				break;
			case 'request':
				$value = we_base_util::rmPhp(we_base_request::filterVar(self::getArrayValue($_REQUEST, null, $name), $varType)); //@phan-suppress-current-line PhanDeprecatedFunction
				break;
			default:
				$value = self::getArrayValue($GLOBALS, null, $name);
				break;
		}

		return self::htmlTag('input', ['type' => 'hidden', 'name' => $name, 'value' => $value]);
	}

}
