<?php
declare(strict_types=1);

/* webEdition CMS
 *
 * $Rev: f389fd111aab $
 * $Author: Marc Kraemer <marc.kraemer@aldente-it.de> $
 * $Date: 2020-02-17 01:17 +0100 $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */

abstract class we_tag_ifCurrentDate extends we_weTag_ifTag{

	/**
	 * @return boolean
	 * @param array<string,mixed> $attribs
	 * @param string $content
	 * @desc returns true if calendar date is same with current date
	 */
	public static function tag(array $attribs = [], string $content = '', bool $internal = false): bool{
		$cal = we_tag_listview::$current ? we_tag_listview::$current->getCalendarStruct() : [];

		if(empty($cal)){
			return false;
		}
		switch($cal['calendar']){
			case 'day' :
				return (date('d-m-Y H', $cal['date']) == date('d-m-Y H'));
			case 'month' :
			case 'month_table' :
				return (date('d-m-Y', $cal['date']) == date('d-m-Y'));
			case 'year' :
				return (date('m-Y', $cal['date']) == date('m-Y'));
		}

		return false;
	}

}
