<?php
declare(strict_types=1);

/* webEdition CMS
 *
 * $Rev: f389fd111aab $
 * $Author: Marc Kraemer <marc.kraemer@aldente-it.de> $
 * $Date: 2020-02-17 01:17 +0100 $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */
we_modules_info::isActive(we_modules_info::SHOP);

abstract class we_tag_ifShopNotEmpty extends we_weTag_ifTag{

	public static function tag(array $attribs = [], string $content = '', bool $internal = false): bool{
		if(($foo = self::attributeMissing($attribs, ['shopname' => false], __CLASS__))){
			echo $foo;
			return false;
		}

		$shopname = self::getAttribute('shopname', $attribs, '', we_base_request::STRING);
		try{
			$basket = we_tag_createShop::getBasket($shopname);
			$items = $basket->getShoppingItems();
			return !empty($items);
		} catch (we_exception_base $e){
			//
		}
		return false;
	}

}
