<?php
declare(strict_types=1);

/* webEdition CMS
 *
 * $Rev: f389fd111aab $
 * $Author: Marc Kraemer <marc.kraemer@aldente-it.de> $
 * $Date: 2020-02-17 01:17 +0100 $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */

abstract class we_tag_ifShopPayVat extends we_weTag_ifTag{

	public static function tag(array $attribs = [], string $content = '', bool $internal = false): bool{
		$namefrom = self::getAttribute('customerfrom', $attribs, '', we_base_request::STRING);
		$usefallback = self::getAttribute('usefallback', $attribs,false, we_base_request::BOOL);
		$weShopVatRule = we_shop_vatRule::getShopVatRule();

		if(we_weTag_util::tag('ifRegisteredUser', [], '')){
			$customer = $_SESSION['webuser'];
		} elseif(!empty($GLOBALS[$namefrom])){
			$customer = getHash('SELECT * FROM ' . CUSTOMER_TABLE . ' WHERE ID=' . intval($GLOBALS[$namefrom]));
			$customer = $customer ? array_merge($customer, we_customer_customer::getEncryptedFields()) : [];
		} else {
			$customer = [];
		}

		$country = (!$customer && $usefallback ?
			(fS('SELECT pref_value FROM ' . SETTINGS_TABLE . ' WHERE tool="shop" AND pref_name="shop_location"', '-1') ?:
			'') :
			'');

		return $weShopVatRule->executeVatRule($customer, $country);
	}

}
