<?php
declare(strict_types=1);

/* webEdition CMS
 *
 * $Rev: d5bcf73330c9 $
 * $Author: Marc Kraemer <marc.kraemer@aldente-it.de> $
 * $Date: 2019-12-28 19:06 +0100 $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */

abstract class we_tag_title extends we_weTag_tag{

	public static function parse(array $attribs, string $content): string{
		$attribs['_type'] = 'stop';
		return '<?php ' . we_weTag_parser::printTag('title', ['_type' => 'start']) . ';?>' . $content . '<?= ' . we_weTag_parser::printTag('title', $attribs) . ';?>';
	}

	public static function tag(array $attribs = [], string $content = '', bool $internal = false): string{
		switch(self::getAttribute('_type', $attribs, '', we_base_request::STRING)){
			case 'start':
				ob_start();
				return '';
			case 'stop':
				$content = ob_get_clean() ?: '';
		}
		$htmlspecialchars = self::getAttribute('htmlspecialchars', $attribs, false, we_base_request::BOOL);
		$prefix = self::getAttribute('prefix', $attribs, '', we_base_request::RAW_CHECKED);
		$suffix = self::getAttribute('suffix', $attribs, '', we_base_request::RAW_CHECKED);
		$delimiter = self::getAttribute('delimiter', $attribs, '', we_base_request::RAW_CHECKED);

		$content = we_base_WE::$mainDoc['doc']->getElementS(we_contents_root::TITLE_FIELD, $content, true);

		if(we_base_WE::$editmode){
			//set meta data & exit
			$GLOBALS['meta'][we_contents_root::TITLE_FIELD]['default'] = $content;
			return '';
		}

		$content = ($prefix ? $prefix . ($content ? $delimiter : '') : '') . $content . ($suffix ? ($content ? $delimiter : ($prefix ? $delimiter : '')) . $suffix : '');

		return self::htmlTag('title', self::removeAttribs($attribs, ['htmlspecialchars', 'prefix', 'suffix', 'delimiter', '_type']), str_replace(['<', '>'], '', ($htmlspecialchars ? htmlspecialchars(strip_tags($content)) : strip_tags($content))), true) . "\n";
	}

}
