<?php
declare(strict_types=1);

/**
 * webEdition CMS
 *
 * $Rev: cccd57107d4b $
 * $Author: Marc Krämer <marc.kraemer@aldente-it.de> $
 * $Date: 2019-07-20 13:18 +0200 $
 */
class we_tw_a extends we_weTag_twbase{

	public function __construct(string $tagName){
		parent::__construct($tagName);

		$this->NeedsEndTag = true;
		$this->Groups = [self::GROUP_INPUT];
		$this->Description = g_l('weTag', '[' . $tagName . '][description]', true, true);

		$id = new we_weTag_selectorAttribute('id', FILE_TABLE, we_base_ContentTypes::WEDOCUMENT, true);
		$idObject = new we_weTag_selectorAttribute('id', OBJECT_FILES_TABLE, we_base_ContentTypes::OBJECT_FILE, true, we_modules_info::OBJECT);
		$target = new we_weTag_choiceAttribute('target', [
			new we_weTag_option('_top'),
			new we_weTag_option('_parent'),
			new we_weTag_option('_self'),
			new we_weTag_option('_blank'),
			], false, false);
		$confirm = new we_weTag_textAttribute('confirm');
		$button = new we_weTag_selectAttribute('button', we_weTag_selectAttribute::getTrueFalse());
		$hrefonly = new we_weTag_selectAttribute('hrefonly', we_weTag_selectAttribute::getTrueFalse());
		$class = new we_weTag_textAttribute('class');
		$style = new we_weTag_textAttribute('style');
		$params = new we_weTag_textAttribute('params');
		$hidedirindex = new we_weTag_selectAttribute('hidedirindex', we_weTag_selectAttribute::getTrueFalse());
		$amount = new we_weTag_textAttribute('amount', false, we_modules_info::SHOP);
		$delarticle = new we_weTag_selectAttribute('delarticle', we_weTag_selectAttribute::getTrueFalse());
		$delshop = new we_weTag_selectAttribute('delshop', we_weTag_selectAttribute::getTrueFalse(), false, we_modules_info::SHOP);
		$shopname = new we_weTag_textAttribute('shopname', false, we_modules_info::SHOP);
		$editself = new we_weTag_selectAttribute('editself', we_weTag_selectAttribute::getTrueFalse());
		$delete = new we_weTag_selectAttribute('delete', we_weTag_selectAttribute::getTrueFalse());

		$this->TypeAttribute = new we_weTag_typeAttribute('edit', [
			new we_weTag_option('', false, '', [$id, $target, $confirm, $button, $hrefonly, $class, $style, $params, $hidedirindex], [$id]),
			new we_weTag_option('document', false, '', [$id, $target, $confirm, $button, $hrefonly, $class, $style, $params, $hidedirindex, $editself, $delete], [$id]),
			new we_weTag_option('object', false, we_modules_info::OBJECT, [$idObject, $target, $confirm, $button, $hrefonly, $class, $style, $params, $hidedirindex, $editself,
				$delete], [$idObject]),
			new we_weTag_option('shop', false, we_modules_info::SHOP, [$id, $target, $confirm, $button, $hrefonly, $class, $style, $params, $hidedirindex, $amount, $delarticle,
				$delshop, $shopname,], [$id])]
		);


		$this->Attributes = [
			$id,
			$target,
			$confirm,
			$button,
			$hrefonly,
			$class,
			$style,
			$params,
			$hidedirindex,
			$amount,
			$delarticle,
			$delshop,
			$shopname,
			$editself,
			$delete,
		];
	}

}
