<?php
declare(strict_types=1);

/**

 * webEdition CMS
 *
 * $Rev: e4301c9e291b $
 * $Author: Marc Krämer <marc.kraemer@aldente-it.de> $
 * $Date: 2019-11-13 12:33 +0100 $
 */
class we_tw_controlElement extends we_weTag_twbase{

	public function __construct(string $tagName){
		parent::__construct($tagName);
		$this->NeedsEndTag = false;
		$this->Description = g_l('weTag', '[' . $tagName . '][description]', true, true);

		$this->Attributes = [
			new we_weTag_choiceAttribute('type', [
				new we_weTag_option('button'),
				new we_weTag_option('checkbox'),
				], true, false),
			new we_weTag_choiceAttribute('name', [
				new we_weTag_option('copy'),
				new we_weTag_option('delete'),
				new we_weTag_option('makeSameDoc'),
				new we_weTag_option('publish'),
				new we_weTag_option('save'),
				new we_weTag_option('unpublish'),
				new we_weTag_option('workflow', false, we_modules_info::WORKFLOW)], true, false),
			new we_weTag_choiceAttribute('hide', we_weTag_selectAttribute::getTrueFalse(), false, false),
			new we_weTag_choiceAttribute('readonly', we_weTag_selectAttribute::getTrueFalse(), false, false),
			new we_weTag_choiceAttribute('checked', we_weTag_selectAttribute::getTrueFalse(), false, false),
		];
	}

}
