<?php
declare(strict_types=1);

/**

 * webEdition CMS
 *
 * $Rev: e4301c9e291b $
 * $Author: Marc Krämer <marc.kraemer@aldente-it.de> $
 * $Date: 2019-11-13 12:33 +0100 $
 */
class we_tw_ifVarEmpty extends we_weTag_twbase{

	public function __construct(string $tagName){
		parent::__construct($tagName);
		$this->NeedsEndTag = true;
		$this->Groups = [self::GROUP_IF];
		$this->Description = g_l('weTag', '[' . $tagName . '][description]', true, true);

		$this->Attributes = [
			new we_weTag_textAttribute('name', true, ''),
			new we_weTag_selectAttribute('doc', [
				new we_weTag_option('self'),
				new we_weTag_option('top'),
				new we_weTag_option('document'),
				new we_weTag_option('object'),
				], false, ''),
			new we_weTag_selectAttribute('type', [
				new we_weTag_option('request'),
				new we_weTag_option('post'),
				new we_weTag_option('get'),
				new we_weTag_option('cookie'),
				new we_weTag_option('global'),
				new we_weTag_option('session'),
				new we_weTag_option('sessionfield'),
				new we_weTag_option('href'),
				new we_weTag_option('img'),
				new we_weTag_option('multiobject', false, we_modules_info::OBJECT)], false, ''),
			new we_weTag_selectAttribute('property', we_weTag_selectAttribute::getTrueFalse()),
			new we_weTag_textAttribute('formname', false, ''),
		];
	}

}
