<?php
declare(strict_types=1);

/**

 * webEdition CMS
 *
 * $Rev: f961a312bfac $
 * $Author: mokraemer $
 * $Date: 2019-06-12 14:25 +0200 $
 */
class we_tw_var extends we_weTag_twbase{

	public function __construct(string $tagName){
		parent::__construct($tagName);
		$this->NeedsEndTag = false;
		$this->Description = g_l('weTag', '[' . $tagName . '][description]', true, true);

		$name = new we_weTag_textAttribute('name', true, '');
		$doc = new we_weTag_selectAttribute('doc', [
			new we_weTag_option('self'),
			new we_weTag_option('top'),
			], false, '');
		$htmlspecialchars = new we_weTag_selectAttribute('htmlspecialchars', we_weTag_selectAttribute::getTrueFalse());
		$key = new we_weTag_selectAttribute('key', we_weTag_selectAttribute::getTrueFalse());
		$format = new we_weTag_textAttribute('format', false, '');
		$num_format = new we_weTag_selectAttribute('num_format', [new we_weTag_option('german', false, ''), new we_weTag_option('english', false, ''), new we_weTag_option('french', false, ''),
			new we_weTag_option('swiss', false, '')], false, '');

		$varType = new we_weTag_selectAttribute('varType', [
			new we_weTag_option(we_base_request::STRING),
			new we_weTag_option(we_base_request::INT),
			new we_weTag_option(we_base_request::BOOL),
			new we_weTag_option(we_base_request::FLOAT),
			new we_weTag_option(we_base_request::EMAIL),
			new we_weTag_option(we_base_request::URL),
			new we_weTag_option(we_base_request::RAW),
			], false, '');

		$sql = new we_weTag_selectAttribute('prepareSQL', we_weTag_selectAttribute::getTrueFalse());


		$this->TypeAttribute = new we_weTag_typeAttribute('type', [
			new we_weTag_option('document', false, '', [$name, $doc, $htmlspecialchars, $format, $num_format, $sql], [$name]),
			new we_weTag_option('property', false, '', [$name, $doc, $format, $num_format, $sql], [$name]),
			new we_weTag_option('global', false, '', [$name, $htmlspecialchars, $format, $num_format, $sql], [$name]),
			new we_weTag_option('img', false, '', [$name, $doc, $htmlspecialchars, $sql], [$name]),
			new we_weTag_option('href', false, '', [$name, $doc, $htmlspecialchars, $sql], [$name]),
			new we_weTag_option('date', false, '', [$name, $doc, $htmlspecialchars, $format, $sql], [$name]),
			new we_weTag_option('link', false, '', [$name, $doc, $htmlspecialchars, $sql], [$name]),
			new we_weTag_option('multiobject', false, '', [$name, $doc, $sql], [$name]),
			new we_weTag_option('request', false, '', [$name, $varType, $htmlspecialchars, $format, $num_format, $sql], [$name]),
			new we_weTag_option('post', false, '', [$name, $varType, $htmlspecialchars, $format, $num_format, $sql], [$name]),
			new we_weTag_option('get', false, '', [$name, $varType, $htmlspecialchars, $format, $num_format, $sql], [$name]),
			new we_weTag_option('cookie', false, '', [$name, $varType, $htmlspecialchars, $format, $num_format, $sql], [$name]),
			new we_weTag_option('select', false, '', [$name, $doc, $htmlspecialchars, $key, $sql], [$name]),
			new we_weTag_option('session', false, '', [$name, $htmlspecialchars, $format, $num_format, $sql], [$name]),
			//new weTagDataOption('shopCategory', false, '', [$doc), []),
			new we_weTag_option('shopCategory', false, '', [], []),
			new we_weTag_option('shopVat', false, '', [$doc], [])
			], true, '');


		$this->Attributes = [$name, $doc, $varType, $sql, $htmlspecialchars, $key];
	}

}
