<?php
declare(strict_types=1);

/**
 * webEdition CMS
 *
 * $Rev: c4a0d6292899 $
 * $Author: Marc Krämer <marc.kraemer@aldente-it.de> $
 * $Date: 2019-08-20 01:03 +0200 $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */
class we_weTag_multiSelectorAttribute extends we_weTag_attribute{
	/**
	 * @var string
	 */
	protected $Table;

	/**
	 * @var string
	 */
	protected $Selectable;

	/**
	 * @var string
	 */
	protected $TextName = 'text';

	/**
	 * @param string $name
	 * @param string $table
	 * @param string $selectable
	 * @param string $textName
	 * @param boolean $required
	 */
	function __construct(string $name, string $table, string $selectable, string $textName = 'path', bool $required = false, string $module = '', string $description = '', bool $deprecated = false){
		parent::__construct($name, $required, $module, $description, $deprecated);
		$this->Table = $table;
		$this->Selectable = trim($selectable, ' ,');
		$this->TextName = $textName;
	}

	/**
	 * @return string
	 */
	function getCodeForTagWizard(): string{
		switch($this->Table){
			case USER_TABLE :
				$we_cmd = 'we_users_selector';
				break;
			case CATEGORY_TABLE :
				$we_cmd = 'we_selector_document';
				break;
			case CUSTOMER_TABLE :
				$we_cmd = 'we_customer_selector';
				break;
			default:
				$we_cmd = !in_array($this->Selectable, we_base_ContentTypes::FOLDER_TYPES) ? ($this->Selectable === '' ? 'we_selector_file' : 'we_selector_document') : (in_array($this->Selectable, we_base_ContentTypes::FOLDER_TYPES, true) ? 'we_selector_directory' : 'we_selector_file');
		}

		$button = we_html_button::create_button(we_html_button::SELECT, "javascript:we_cmd('" . $we_cmd . "', {id:0, table:'" . $this->Table . "', jsCmd:'we_multiSelector_writeback,targetName:all" . $this->TextName . "s,targetID:" . $this->getIdName() . "', filter:'" . $this->Selectable . "'})");

		return '
<table class="attribute">
<tr>
	<td class="attributeName">' . $this->getLabelCodeForTagWizard() . '</td>
	<td class="attributeField">' . we_html_element::textArea(['name' => $this->Name, 'id' => $this->getIdName(), 'class' => 'wetextinput wetextarea']) . '</td>
	<td class="attributeButton">' . $button . '</td>
</tr>
</table>';
	}

}
