<?php
declare(strict_types=1);

/**
 * webEdition CMS
 *
 * $Rev: 560042758e6a $
 * $Author: Lukas Imhof $
 * $Date: 2020-05-07 21:16 +0200 $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */
define('NO_SESS', 1);
require_once('../../../../we/include/we.inc.php');
header('Content-type: text/css');
header('Expires: ' . gmdate('D, d M Y H:i:s', time() + we_base_util::SECONDS_DAY) . ' GMT', true);
header('Last-Modified: ' . gmdate('D, d M Y H:i:s', filemtime(__FILE__) ?: 0) . ' GMT', true);
header('Cache-Control: max-age=' . we_base_util::SECONDS_DAY . ', must-revalidate', true);
header('Pragma: ', true);
?>

/* css editor body:font-size: this sheet is included first, for font-size to be eventually overwritten by document-css */

html {
	height: 100%;
}
body {
	height: calc(100% - 1.8em);
	font-size: 12px;
	<?php
	$bgcolor = we_base_request::string('tinyMceBackgroundColor');
	echo !($bgcolor = preg_match('/^[a-f0-9]{6}$/i', $bgcolor) ? '#' . $bgcolor : $bgcolor) ? '' :
			'background-color: ' . $bgcolor . ' !important;background-image: none !important;';
	?>
}


/* css for plugin wevisialborders */

acronym.mceItemWeAcronym{
border: 1px dotted gray;
}

abbr.mceItemWeAbbr{
border: 1px dotted gray;
}

span.mceItemWeLang{
border: 1px dotted gray;
}


we-gallery{
display: block;
font-size: 14px;
}

we-gallery:before {
font-family: FontAwesome;
content: "\f187 ";
color: gray;
}

we-gallery:after {
font-family: Helvetica;
content: "<?= g_l('contentTypes', '[text/weCollection]') . ' '; ?>";
color: gray;
border: dotted 1px gray;
}
