/* global tinyMCEPopup, tinymce,top, WE, tinyMCE */

/**
 * webEdition CMS
 *
 * $Author: Marc Krämer <marc.kraemer@aldente-it.de> $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */
'use strict';

var login = WE().util.getDynamicVar(document, 'loadVarLogin', 'data-login'),
	cookieBackup = document.cookie;

document.cookie = "cookie=yep";
var cookieOk = document.cookie.indexOf("cookie=yep") > -1;
document.cookie = cookieBackup;

if (!cookieOk) {
	window.alert(login.consts.alert.no_cookies);
}
$(function () {
	var el = document.getElementsByName("hasJava");
	if (el.length) {
		el[0].value = (navigator.javaEnabled() === true ? 1 : 0);
	}

	switch (login.loginStatus.login) {
		case login.consts.loginTypes.UNKNOWN:
			//do nothing
			break;
		case login.consts.loginTypes.OK:
			if (login.loginStatus.msg) {
				window.alert(login.loginStatus.msg);
			}
			document.location = login.consts.dirs.WEBEDITION_DIR + 'index.php?we_cmd[0]=startWE';
			break;
		case login.consts.loginTypes.DENIED:
			window.alert(login.loginStatus.msg);
			document.location = login.consts.dirs.WEBEDITION_DIR + "index.php";
			break;
		case login.consts.loginTypes.DENIED_TOTP:
		case login.consts.loginTypes.DENIED_SECURITY:
		case login.consts.loginTypes.CREDENTIALS_INVALID_HOOK:
		case login.consts.loginTypes.CREDENTIALS_INVALID:
			window.alert(login.loginStatus.msg);
			document.location = login.consts.dirs.WEBEDITION_DIR + "index.php";
			break;
	}

});

/**
 * setting is built like the unix file system privileges with the 3 options
 * see notices, see warnings, see errors
 *
 * 1 => see Errors
 * 2 => see Warnings
 * 4 => see Notices
 *
 * @param message string
 * @param prio integer one of the values 1,2,4
 * @param win object reference to the calling window
 */
function showMessage(message, prio, win) {
	if (!win) {
		win = window;
	}
	if (!prio) { // default is error, to avoid missing messages
		prio = login.messageTypes.WE_MESSAGE_ERROR;
	}

	if ((prio & login.messageSettings)) { // show it, if you should

		// the used vars are in file JS_DIR . "weJsStrings.php";
		switch (prio) {

			// Notice
			case login.messageTypes.WE_MESSAGE_NOTICE:
				win.alert(login.message_reporting.notice + ":\n" + message);
				break;

				// Warning
			case login.messageTypes.WE_MESSAGE_WARNING:
				win.alert(login.message_reporting.warning + ":\n" + message);
				break;

				// Error
			case login.messageTypes.WE_MESSAGE_ERROR:
				win.alert(login.message_reporting.error + ":\n" + message);
				break;
		}
	}
}

function blindPwd(id) {
	var el = document.getElementById(id);
	el.type = "password";
	window.timer = null;
}
function showPwd(id) {
	var el = document.getElementById(id);
	el.focus();
	if (window.timer) {
		window.clearTimeout(window.timer);
		window.timer = null;
	}
	if (el.type === "password") {
		el.type = "text";
		window.timer = window.setTimeout(blindPwd, 5000, id);
	} else {
		el.type = "password";
	}
}

function checkLogin() {
	if (document.loginForm.evaled) {
		document.getElementById("mainTable").style.display = "none";
		document.getElementById("loading").style.display = "block";
		document.loginForm.submit();
		return;
	}

	var userPwdRows = document.getElementsByClassName("userPwd_row");
	for (var i = 0; i < userPwdRows.length; i++) {
		userPwdRows[i].style.display = "none";
	}

	$.ajax({
		type: "POST",
		url: "/webEdition/we_cmd_frontend.php?we_cmd[0]=checkForToptLogin",
		data: {
			user: document.getElementById("username").value
		},
		success: checkLoginResult,
		dataType: "json",
		timeout: 2000
	}).fail(function (jqxhr, textStatus, error) {
		document.loginForm.evaled = true;
		checkLogin(true);
	});
	return false;
}

function checkLoginResult(response) {
	if (response.error) {
		window.alert(response.error);
		return;
	}

	document.loginForm.evaled = true;
	if (response.hasTopt) {
		document.getElementById('totp').value = "";
		var topts = document.getElementsByClassName("topt_row");
		for (var i = 0; i < topts.length; i++) {
			topts[i].style.display = "table-row";
		}
		document.getElementById('totp').focus();
	} else {
		checkLogin(true);
	}

}
