/* global WE, top */

/**
 * webEdition CMS
 *
 * $Author: Marc Kraemer <marc.kraemer@aldente-it.de> $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */
'use strict';

var
	wizzard = WE().util.getDynamicVar(document, 'loadVarEIWizard', 'data-wizzard'),
	table = WE().consts.tables.FILE_TABLE,
	type,
	selection,
	export_to;


function doUnload() {
	WE().util.jsWindow.prototype.closeAll(window);
}

function selectWeSelect_doOnselect(sel) {
	sel.form.elements.xml_to.value = sel.options[sel.selectedIndex].value;
	sel.form.elements.xml_from.value = 1;
	sel.form.elements.dataset.value = sel.options[sel.selectedIndex].text;
	if (sel.options[sel.selectedIndex].value == 1) {
		sel.form.elements.xml_from.disabled = true;
		sel.form.elements.xml_to.disabled = true;
	} else {
		sel.form.elements.xml_from.disabled = false;
		sel.form.elements.xml_to.disabled = false;
	}
}

function we_cmd() {
	/*jshint validthis:true */
	var caller = (this && this.window === this ? this : window),
		args = WE().util.getWe_cmdArgsArray(Array.prototype.slice.call(arguments)),
		url = WE().util.getWe_cmdArgsUrl(args),
		arg = args[1], // we use this when using named params
		dialogTop = WE().util.dialogTop(caller);

	switch (args[0]) {
		case "fileupload_startImport":
			//we_cmd('set_radio_importFrom', '', 1);
			doNextAction(dialogTop, 4);
			break;
		case "uploader_cancel":
			dialogTop.doClose();
			//dialogTop.weFileUpload_instance.cancelUpload();
			break;
		case "set_radio_importFrom":
			dialogTop.document.we_form.import_from[args[2]].checked = true;
			break;
		case "set_topVar":
			dialogTop[arg.name] = arg.fromInput ? dialogTop.document.we_form.elements[arg.name].value : arg.value;
			break;
		case "set_formField":
			dialogTop.document.we_form.elements[arg.name].value = arg.value;
			break;
		case "selectCharset_onchange":
			dialogTop.document.we_form.elements.the_charset.value = arg.select.options[arg.select.selectedIndex].value;
			arg.select.selectedIndex = -1;
			break;
		case "chooser_onChange":
			dialogTop.document.we_form.elements[args[2]].value = args[1].options[args[1].selectedIndex].value;
			args[1].selectedIndex = 0;
			break;
		case "we_selector_file":
			(new (WE().util.jsOverlay)(caller, 'top', url, "we_selector", WE().consts.size.dialog.big, WE().consts.size.dialog.medium)).setResizeable().open();
			break;
		case "add_customer":
			dialogTop.document.we_form.selection[2].checked = true;
			dialogTop.document.we_form.wcmd.value = args[0];
			dialogTop.document.we_form.cus.value = args[1].allIDs.join(',');
			dialogTop.document.we_form.submit();
			break;
		case "del_customer":
		case "del_all_customers":
			dialogTop.document.we_form.selection[2].checked = true;
			dialogTop.document.we_form.wcmd.value = args[0];
			dialogTop.document.we_form.cus.value = args[1];
			dialogTop.document.we_form.submit();
			break;
		case "reload_frame":
			dialogTop.location = WE().consts.dirs.WEBEDITION_DIR + 'we_cmd.php?we_cmd[0]=we_showMod&mod=customer&pnt=' + arg.pnt + '&art=' + wizzard.art + '&cmd=' + arg.cmd + '&step=' + arg.step;
			break;
		case "load_processCmd":
			switch (arg.cmd) {
				case 'do_import':
					if ((arg.fstart < arg.fcount)) {
						dialogTop.load.document.we_form.cmd.value = 'do_import';
					} else {
						dialogTop.load.document.we_form.cmd.value = 'import_end';
					}
					dialogTop.load.document.we_form.submit();
					break;
				case 'import_end':
					if (dialogTop.opener && dialogTop.opener.content && dialogTop.opener.top.content.applySort) {
						dialogTop.opener.top.content.applySort();
					}
					dialogTop.footer.location = WE().consts.dirs.WEBEDITION_DIR + 'we_cmd.php?we_cmd[0]=we_showMod&mod=customer&pnt=eifooter&art=' + arg.art + '&step=6';
					dialogTop.load.document.we_form.submit();
					break;
			}
			break;
		case "setHot":
			// prevent call from bubbling up
			break;
		case "change_filter":
			switch (args[1]) {
				case "add_filter":
				case "del_filter":
				case "del_all_filters":
					dialogTop.document.we_form.selection[1].checked = true;
					dialogTop.document.we_form.fcmd.value = args[1];
					dialogTop.document.we_form.submit();
					break;
			}
			break;
		default:
			dialogTop.opener.we_cmd.apply(caller, Array.prototype.slice.call(arguments));
	}
}